#!/bin/bash

# Copyright 2018 - LibreSchool Project <info@libreschool.org>

# Prepare and install Scratch for distribution.

# Scratch itself is distributable, Adobe AIR is not.
# So we prepare a folder for Scratch, leaving download and accepting of the
# license to the user at first launch of Scratch.

mkdir -p /opt/scratch
cp * /opt/scratch
find /opt/scratch -iname \*.sh -exec chmod +x {} \;

# Gets two different versions of Scratch from the site, links the highest one.

# Scratch 442
wget --no-check-certificates https://scratch.mit.edu/scratchr2/static/sa/Scratch-442.air -O /opt/scratch/Scratch-442.air &> /dev/null

# Scratch 456.0.1
wget --no-check-certificates https://scratch.mit.edu/scratchr2/static/sa/Scratch-456.0.1.air -O /opt/scratch/Scratch-456.0.1.air &> /dev/null

ln -sf /opt/scratch/Scratch-456.0.1.air /opt/scratch/Scratch.air &> /dev/null

desktop-file-install /opt/scratch/Scratch2.desktop
