# Simplify installation for Scratch 456.0.1 on Linux #

These scripts simplify the deployment and distribution of Scratch on
GNU/Linux.

## Installation ##

Run the `install.sh` script as root to install Scratch on the local machine on
`/opt/scratch`:

    sudo bash install.sh

## Adobe AIR and redistribution ##

You should not distribute Adobe AIR based on Adobe AIR License, so we have
devised a script to install it on GNU/Linux systems accepting the License and
using Adobe AIR SDK for simplified management.

Adobe AIR installation is managed at first launch of Scratch (via the
`scratch-wrapper.sh` script) or it can be done launching the
`air-installer.sh` script by hand with root:

    sudo bash air-installer.sh
